:root {
    --bg-color: #f8f9fa;
    --container-color: white;
    --padding: 32px;
    --container-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.d-flex {
    display: flex;
}

.d-none {
    display: none !important;
}

@media (max-width:768px) {
    :root {
        --padding: 16px;
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Roboto;
}

body {
    max-width: 1600px;
    width: 100%;
    margin: 0 auto;
    padding: 0 20px;
    background-color: var(--bg-color);
}

body h1 {
    margin: 16px 0;
    text-align: center;
}

header {
    display: flex;
    justify-content: space-between;
    padding: var(--padding);
    background-color: var(--container-color);
    box-shadow: var(--container-shadow);
    border-radius: 0 0 16px 16px;
    margin-bottom: 16px;
}

header nav {
    display: flex;
    gap: 16px;
    align-self: center;
    justify-content: space-between;
}

.logo {
    font-size: 32px;
    font-weight: 700;
    color: #667eea;
}

main {
    padding: var(--padding);
    background-color: var(--container-color);
    box-shadow: var(--container-shadow);
    border-radius: 16px;
}

a {
    text-decoration: none;
    color: black;
}

header nav a {
    font-size: 20px;
    transition: 0.3s all;
}

header nav a:hover {
    transform: translateY(-3px);

}

footer {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding: var(--padding);
    gap: 16px;
    background-color: var(--container-color);
    box-shadow: var(--container-shadow);
    border-radius: 16px 16px 0 0;
    margin-top: 16px;
}